Archive or restore a project
curl --request PATCH \
--url https://api.airctrl.dev/v1/projects/{id}/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"archivedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.airctrl.dev/v1/projects/{id}/archive"
payload = { "archivedAt": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({archivedAt: '2023-11-07T05:31:56Z'})
};
fetch('https://api.airctrl.dev/v1/projects/{id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true
}{
"ok": false,
"error": {
"code": "bad_request",
"message": "Request validation failed",
"details": [
"Check the submitted values."
]
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Authentication is required"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "forbidden",
"message": "not_authorized"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "conflict",
"message": "idempotency_key_reused_with_different_params"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "rate_limited",
"message": "Too many requests"
},
"requestId": "req_example"
}{
"ok": false,
"error": {
"code": "internal_error",
"message": "Internal server error"
},
"requestId": "req_example"
}Projects
Archive or restore a project
Sets the project archive time. Send null to restore the project. Requires projects:archive.
PATCH
/
projects
/
{id}
/
archive
Archive or restore a project
Authorizations
Human personal access token (sk-actrl-pat-...).
Path Parameters
Body
application/json
Archive time. Send null to restore the project.
Response
Archive state updated. The response has no body.
Available options:
true